ServerEvents.recipes(e=> {
    
    //魔源通道
    e.remove({ output: 'ars_nouveau:agronomic_sourcelink' })
    e.remove({ output: 'ars_nouveau:alchemical_sourcelink' })
    e.remove({ output: 'ars_nouveau:vitalic_sourcelink' })
    e.remove({ output: 'ars_nouveau:mycelial_sourcelink' })
    e.shapeless('ars_nouveau:agronomic_sourcelink' , 
    [ 
        '#forge:sourcelink',
    ])
    e.shapeless('ars_nouveau:alchemical_sourcelink' , 
    [ 
        '#forge:sourcelink',
    ])
    e.shapeless('ars_nouveau:vitalic_sourcelink' , 
    [ 
        '#forge:sourcelink',
    ])
    e.shapeless('ars_nouveau:mycelial_sourcelink' , 
    [ 
        '#forge:sourcelink',
    ])
    e.shapeless('ars_nouveau:volcanic_sourcelink' , 
    [ 
        '#forge:sourcelink',
    ])
    

    
 
 
})
